Skip to main content
GET
/
sandboxes
/
{sandboxID}
Get sandbox
curl --request GET \
  --url https://api.e2b.app/sandboxes/{sandboxID} \
  --header 'X-API-Key: <api-key>'
{
  "templateID": "<string>",
  "sandboxID": "<string>",
  "clientID": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "endAt": "2023-11-07T05:31:56Z",
  "envdVersion": "<string>",
  "cpuCount": 2,
  "memoryMB": 129,
  "diskSizeMB": 1,
  "state": "running",
  "alias": "<string>",
  "envdAccessToken": "<string>",
  "domain": "<string>",
  "metadata": {},
  "volumeMounts": [
    {
      "name": "<string>",
      "path": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

sandboxID
string
required

Response

Successfully returned the sandbox

templateID
string
required

Identifier of the template from which is the sandbox created

sandboxID
string
required

Identifier of the sandbox

clientID
string
required
deprecated

Identifier of the client

startedAt
string<date-time>
required

Time when the sandbox was started

endAt
string<date-time>
required

Time when the sandbox will expire

envdVersion
string
required

Version of the envd running in the sandbox

cpuCount
integer<int32>
required

CPU cores for the sandbox

Required range: x >= 1
memoryMB
integer<int32>
required

Memory for the sandbox in MiB

Required range: x >= 128
diskSizeMB
integer<int32>
required

Disk size for the sandbox in MiB

Required range: x >= 0
state
enum<string>
required

State of the sandbox

Available options:
running,
paused
alias
string

Alias of the template

envdAccessToken
string | null

Access token for authenticating envd requests to this sandbox. Only returned when the sandbox is created with secure: true. Null for non-secure sandboxes (envd endpoints work without auth).

domain
string | null
deprecated

Deprecated: always null. Construct sandbox URLs as https://{port}-{sandboxID}.e2b.app.

metadata
object
volumeMounts
object[]